waffle.jaas

## Class WindowsLoginModuleTest

- java.lang.Object
- - waffle.jaas.WindowsLoginModuleTest

    public class WindowsLoginModuleTest
    extends Object

The Class WindowsLoginModuleTest.

### Constructor Summary

Constructors
Constructor and Description
`WindowsLoginModuleTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkAuth()` Check auth.
`void` `checkGuestLogin()` Check guest login.
`void` `commit_noPrincipal()` Commit_no principal.
`void` `commit_subjectReadOnly()` Commit_subject read only.
`void` `commit_success()` Commit_success.
`void` `commit_withDebug()` Commit_with debug.
`void` `commit_withRoles()` Commit_with Roles.
`void` `init()` Inits the.
`void` `initialize_withOptions()` Initialize_with options.
`void` `login_invalidGuestLogin()` Login_invalid guest login.
`void` `login_nullPassword()` Login_null password.
`void` `login_throwIOException()` Login_throw io exception.
`void` `login_throwUnsupportedCallbackException()` Login_throw unsupported callback exception.
`void` `logon_noCallbackHandler()` Logon_no callback handler.
`void` `logout_abortNoUser()` Logout_abort no user.
`void` `logout_noUser()` Logout_no user.
`void` `logout_subjectReadOnly()` Logout_subject read only.
`void` `logout_validUser()` Logout_valid user.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WindowsLoginModuleTest

    public WindowsLoginModuleTest()

### Method Detail

#### checkAuth

    public void checkAuth()

Check auth.

#### checkGuestLogin

    public void checkGuestLogin()

Check guest login.

#### commit_noPrincipal

    public void commit_noPrincipal()
                            throws LoginException

Commit_no principal.

Throws:
  `LoginException` - the login exception

#### commit_subjectReadOnly

    public void commit_subjectReadOnly()
                                throws LoginException

Commit_subject read only.

Throws:
  `LoginException` - the login exception

#### commit_success

    public void commit_success()
                        throws LoginException

Commit_success.

Throws:
  `LoginException` - the login exception

#### commit_withDebug

    public void commit_withDebug()
                          throws LoginException

Commit_with debug.

Throws:
  `LoginException` - the login exception

#### commit_withRoles

    public void commit_withRoles()
                          throws LoginException

Commit_with Roles.

Throws:
  `LoginException` - the login exception

#### init

    public void init()

Inits the.

#### initialize_withOptions

    public void initialize_withOptions()

Initialize_with options.

#### login_invalidGuestLogin

    public void login_invalidGuestLogin()
                                 throws LoginException

Login_invalid guest login.

Throws:
  `LoginException` - the login exception

#### login_nullPassword

    public void login_nullPassword()
                            throws LoginException

Login_null password.

Throws:
  `LoginException` - the login exception

#### login_throwIOException

    public void login_throwIOException()
                                throws LoginException,
                                       IOException,
                                       UnsupportedCallbackException

Login_throw io exception.

Throws:
  `LoginException` - the login exception
  `IOException` - Signals that an I/O exception has occurred.
  `UnsupportedCallbackException` - the unsupported callback exception

#### login_throwUnsupportedCallbackException

    public void login_throwUnsupportedCallbackException()
                                                 throws LoginException,
                                                        IOException,
                                                        UnsupportedCallbackException

Login_throw unsupported callback exception.

Throws:
  `LoginException` - the login exception
  `IOException` - Signals that an I/O exception has occurred.
  `UnsupportedCallbackException` - the unsupported callback exception

#### logon_noCallbackHandler

    public void logon_noCallbackHandler()
                                 throws LoginException

Logon_no callback handler.

Throws:
  `LoginException` - the login exception

#### logout_abortNoUser

    public void logout_abortNoUser()
                            throws LoginException

Logout_abort no user.

Throws:
  `LoginException` - the login exception

#### logout_noUser

    public void logout_noUser()
                       throws LoginException

Logout_no user.

Throws:
  `LoginException` - the login exception

#### logout_subjectReadOnly

    public void logout_subjectReadOnly()
                                throws LoginException

Logout_subject read only.

Throws:
  `LoginException` - the login exception

#### logout_validUser

    public void logout_validUser()
                          throws LoginException

Logout_valid user.

Throws:
  `LoginException` - the login exception